//// INCLUDES ////////////////////
#include <dos.h>
#include <stdlib.h>
#include <stdio.h>

//// DEFINES /////////////////////
#define TRUE	1
#define FALSE   0

//// GLOBALS /////////////////////
char filename[10][12] = { "RUMOR.ANS","RUMOR.AN1","RUMOR.AN2","RUMOR.AN3",
			  "RUMOR.AN4","RUMOR.AN5","RUMOR.AN6","RUMOR.AN7",
			  "RUMOR.AN8","RUMOR.AN9" };
int current_file;

//// DECLARATIONS ////////////////
void main(int argc, char ** argv);		/* Main code */
void load_current(void);
void reset_all(void);
void process(void);

//// FUNCTIONS ///////////////////

void main(int argc, char ** argv) {
   if (argc > 1) {
      strupr(argv[1]);

      if (strstr(argv[1],"-R")) {
	 reset_all();
	 exit(1);
      }
   }
   load_current();
   process();
}
void load_current (void) {
/* Declarations */
FILE * infile;

   if ((infile = fopen("rumor.cfg","r+")) == NULL) {
      printf("\nError reading RUMOR.CFG! -- please reset!\n");
      exit(1);
   }
      current_file = fgetc(infile);
   fclose(infile);
}

void process(void) {
FILE * infile;
FILE * outfile;
char dummy[128];
char write_string[128];
int i;

   if ((infile = fopen("RUMOR.ASW","r+")) == NULL) {
      printf("\nError reading RUMOR.INF! -- Please Reset!\n");
      exit(1);
   }

      fgets(dummy, 128, infile);
      outfile = fopen("RUMOR.LOG","a");
	 fputs("Rumor Written:",outfile);
	 fputs(dummy,outfile);
      fclose(outfile);
      /* Read off some blank lines */
      fgets(dummy, 128, infile);
      fgets(dummy, 128, infile);
      fgets(dummy, 128, infile);
      fgets(dummy, 128, infile);
      fgets(dummy, 128, infile);
      /* Read the REAL line! */
      fgets(dummy, 80, infile);
	 printf("%s",dummy);
      fclose (infile);

      sprintf(write_string,"[24;1H");
      for (i = 8; i < 80; i ++) {
	 write_string[i-1] = dummy[i];
      }
      printf ("Rumor is parsed...  Adding to %s.",filename[current_file]);

      outfile = fopen(filename[current_file],"w");
	 fputs(write_string,outfile);
      fclose(outfile);

      current_file++;
      if (current_file == 10) {
	 current_file = 0;
	 outfile = fopen("RUMOR.LOG","w");
	 fclose(outfile);
      }
      outfile = fopen("RUMOR.CFG","w");
	 fputc(current_file,outfile);
      fclose(outfile);
      outfile = fopen("RUMOR.ASW","w");
      fclose(outfile);
}



void reset_all (void) {
FILE * infile;
FILE * outfile;
int i;

   outfile = fopen("rumor.cfg","w+");
      fputc(0,outfile);
   fclose(outfile);

   for (i = 0; i < 10; i ++) {
      outfile = fopen(filename[i],"w");
      fclose(outfile);
   }
}
